View Issue Details

IDProjectCategoryView StatusLast Update
0000073VitalPBX[All Projects] Feature Requestpublic2019-07-16 15:55
ReporterStoneAgeAssigned Tomrivera 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionreopened 
Product Version2.0.0-4RC1 
Target VersionFixed in Version2.1.0 
Summary0000073: Dynamic Routing Call (autoClip routing ) eg.
DescriptionThe internal Asterisk caller calls the outside party. When an outside subscriber calls back to the Asterisk city line, his call is routed directly to the called extension
Additional Informationhttps://asterisk-pbx.ru/wiki/asterisk/dialplan/dynamic_clip_routing
TagsNo tags attached.

Activities

mrivera

2018-11-12 15:00

administrator   ~0000182

This feature has been implemented in the version 2.1.0 of VitalPBX: https://rebrand.ly/vital493cc

StoneAge

2019-03-28 14:35

reporter   ~0000186

This function is present but not working.

VitalPBX 2.3
Setting:
Exp.time - 1 hour
digits match - 4
Delete used -yes
Only keep missing - yes

in asterisk see this rule:

Scheduling destruction of SIP dialog '275ab38942b085fc5cce4125070f48b2@XXX.XXX.XXX.XXX' in 6400 ms (Method: INVITE)
  == Spawn extension (trk-7, 1111, 9) exited non-zero on 'SIP/230-00000002'
    -- Executing [h@trk-7:1] Gosub("SIP/230-00000002", "dynamic-routing-out,s,1(230,1111,CANCEL,7)") in new stack
    -- Executing [s@dynamic-routing-out:1] NoOp("SIP/230-00000002", "Test if save on dynamic routing list") in new stack
    -- Executing [s@dynamic-routing-out:2] Set("SIP/230-00000002", "CALLER=230") in new stack
    -- Executing [s@dynamic-routing-out:3] Set("SIP/230-00000002", "CALLED=1111") in new stack
    -- Executing [s@dynamic-routing-out:4] Set("SIP/230-00000002", "STATUS=CANCEL") in new stack
    -- Executing [s@dynamic-routing-out:5] Set("SIP/230-00000002", "TRKID=7") in new stack
    -- Executing [s@dynamic-routing-out:6] Set("SIP/230-00000002", "ALLOW_DR=yes") in new stack
    -- Executing [s@dynamic-routing-out:7] Set("SIP/230-00000002", "DYNROUTING_OMC=yes") in new stack
    -- Executing [s@dynamic-routing-out:8] GotoIf("SIP/230-00000002", "1?:comeback") in new stack
    -- Executing [s@dynamic-routing-out:9] System("SIP/230-00000002", "/usr/share/ombutel/scripts/dynamic_routing "out" "230" "1111" "CANCEL" "7" "yes" "54518ddf8a3eab52"") in new stack

I think after this script("/usr/share/ombutel/scripts/dynamic_routing "out" "230" "1111" "CANCEL" "7" "yes" "54518ddf8a3eab52") the missing call with number "1111" must be shown on list "list TAB" on web interface GUI, but nothing happend .
And when make incoming call from 1111 i hear standard IVR instead automatic transfer to internal 230 number

Something wrong with script and this feature dosn't work.

mrivera

2019-03-29 22:54

administrator   ~0000187

Disable the option "Only keep missing ", If is enabled only no answered or busy calls are saved

Issue History

Date Modified Username Field Change
2018-02-19 07:49 StoneAge New Issue
2018-02-19 07:49 StoneAge Status new => assigned
2018-02-19 07:49 StoneAge Assigned To => mrivera
2018-07-17 18:02 mrivera Status assigned => feedback
2018-11-12 15:00 mrivera Note Added: 0000182
2018-11-12 15:00 mrivera Status feedback => resolved
2018-11-12 15:00 mrivera Resolution open => fixed
2018-11-12 15:01 mrivera Status resolved => closed
2018-11-12 15:01 mrivera Fixed in Version => 2.1.0
2019-03-28 14:35 StoneAge Status closed => feedback
2019-03-28 14:35 StoneAge Resolution fixed => reopened
2019-03-28 14:35 StoneAge Note Added: 0000186
2019-03-29 22:54 mrivera Note Added: 0000187
2019-03-29 22:55 mrivera Status feedback => resolved
2019-07-16 15:55 mrivera Status resolved => closed